Force reinstall latest version / roll back version

Asked by Rakhi Mahbubani on 2013-12-17

Dear mg/me team,

I stupidly okayed the installation of the updated version of MG/ME over a working version, but with the wrong configuration, and my madevent is now broken! (how, you ask? I logged in to a random machine on lxplus, rather than directly to my desktop, and updated in my home directory, and I guess it installed something compatible with the config of the local machine over a version that was compatible with the architecture of my physical desktop. Or at least I'm guessing this is what the problem was). Is there a way to redo the update using the machine with the original config? Or roll back the version without screwing anything else up?

Desperately seeking a solution :(

cheers,

Rakhi

Question information

Language:
English Edit question
Status:
Open
For:
MadGraph5_aMC@NLO Edit question
Assignee:
No assignee Edit question
Last query:
2013-12-17
Last reply:
2013-12-17

Hi Rakhi,

What is the error that you face? In which version are you now? (1.5.14? 1.5.15? 2.0.0?)

Cheers,

Olivier

On Dec 17, 2013, at 5:46 PM, Rakhi Mahbubani <email address hidden> wrote:

> New question #240939 on MadGraph5_aMC@NLO:
> https://answers.launchpad.net/madgraph5/+question/240939
>
> Dear mg/me team,
>
> I stupidly okayed the installation of the updated version of MG/ME over a working version, but with the wrong configuration, and my madevent is now broken! (how, you ask? I logged in to a random machine on lxplus, rather than directly to my desktop, and updated in my home directory, and I guess it installed something compatible with the config of the local machine over a version that was compatible with the architecture of my physical desktop. Or at least I'm guessing this is what the problem was). Is there a way to redo the update using the machine with the original config? Or roll back the version without screwing anything else up?
>
> Desperately seeking a solution :(
>
> cheers,
>
> Rakhi
>
> --
> You received this question notification because you are an answer
> contact for MadGraph5_aMC@NLO.

Rakhi Mahbubani (r-mahbubani) said : #2

1.5.15

the error is the usual sort of thing I get when I run madevent on a computer with a different config to that in which MG was compiled/the process directory was created:

e.g., when I run generate_events

Error detected in sub-command generate_events
write debug file /afs/cern.ch/user/r/rakhi/w0/MadGraph5_v1_5_2/PROC_stopRH-st175n0-t-offshell/run_01_tag_1_debug.log
If you need help with this issue please contact us on https://answers.launchpad.net/madgraph5
MadGraph5Error : A compilation Error occurs when trying to compile /afs/cern.ch/user/r/rakhi/w0/MadGraph5_v1_5_2/PROC_stopRH-st175n0-t-offshell/SubProcesses/P1_t1_bwpn1_wp_epve.
 The compilation fails with the following output message:
     gfortran -O -w -ffixed-line-length-132 -w -o gensym symmetry.o setcuts.o cuts.o cluster.o myamp.o genps.o initcluster.o setscales.o reweight.o get_color.o idenparts.o matrix.o -L../../lib/ -ldhelas -ldsample -lmodel -lgeneric -lpdf -lcernlib
     genps.o: In function `one_tree_':
     genps.f:(.text+0x1b73): undefined reference to `boostm_'
     genps.f:(.text+0x1b96): undefined reference to `boostm_'
     collect2: ld returned 1 exit status
     make: *** [gensym] Error 1

 Please try to fix this compilations issue and retry.
 Help might be found at https://answers.launchpad.net/madgraph5.
 If you think that this is a bug, you can report this at https://bugs.launchpad.net/madgraph5

Rakhi Mahbubani (r-mahbubani) said : #3

I can send you the debug file if you like, just let me know where to send it.

Can you help with this problem?

Provide an answer of your own, or ask Rakhi Mahbubani for more information if necessary.

To post a message you must log in.